Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.dbo.impl
Class HL7MessageLogDBOImpl

    java.lang.Object
      com.stc.connector.hl7.framework.persist.dbo.impl.DBObjectImpl
          com.stc.connector.hl7.framework.persist.dbo.impl.HL7MessageLogDBOImpl

All Implemented Interfaces:
  DBObject, HL7MessageLogDBO

    public class HL7MessageLogDBOImpl

extends DBObjectImpl
implements HL7MessageLogDBO

Field Summary

Fields inherited from class com.stc.connector.hl7.framework.persist.dbo.impl.DBObjectImpl
`DELETE_STMT_STR, INSERT_STMT_STR, QUERY_STMT_STR, UPDATE_STMT_STR`

Fields inherited from interface com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO
`BASE_DELETE_STMT_STR, BASE_INSERT_STMT_STR, BASE_QUERY_STMT_STR, BASE_QUERY_STMT_WITH_STATUS_STR, BASE_UPDATE_STMT_STR, BASE_UPDATE_STMT_WITH_STATUS_STR, TABLE_NAME_HL7MESSAGELOG`

Constructor Summary
`HL7MessageLogDBOImpl(int dbType)` constructor
`HL7MessageLogDBOImpl(int dbType, java.lang.String messageId, java.lang.String applicationId)` constructor
`HL7MessageLogDBOImpl(java.lang.String messageId, java.lang.String applicationId)`

Method Summary
`void` | `fillDeleteStmt(java.sql.PreparedStatement stmt)` fills delete statement with message ID and Application ID
`void` | `fillInsertStmt(java.sql.PreparedStatement stmt)` fills insert statement
`void` | `fillQueryStmt(java.sql.PreparedStatement stmt)` fills query statement with message ID and Application ID
`void` | `fillQueryStmtWithStatus(java.sql.PreparedStatement stmt)` fills query statement with status
`void` | `fillUpdateStmt(java.sql.PreparedStatement stmt)` fills update statement with message ID and Application ID
`void` | `fillUpdateStmtWithStatus(java.sql.PreparedStatement stmt)` fills update statement with status
`java.lang.String` | `getApplicationId()` gets Application ID string
`java.sql.Timestamp` | `getCreatedTime()` gets created timeStamp
`java.sql.Timestamp` | `getLastUpdatedTime()` gets last updated timeStamp
`java.lang.String` | `getMessageId()` gets Message ID string
`DBObject` | `getNewObject()` gets HL7MessageLogDBO object
`int` | `getOldStatus()` gets old status
`java.lang.String` | `getQueryStmtWithStatus()` Returns Query Statement with status in where clause
`java.lang.String` | `getRequestMessage()` gets request Message string
`java.lang.String` | `getResponseMessage()` gets response Message string
`int` | `getStatus()` gets status
`java.lang.String` | `getUpdateStmtWithStatus()` Returns Update Statement with status in where clause
`void` | `populateDBO(java.sql.ResultSet rs)` populate DBO Object
`void` | `setApplicationId(java.lang.String applicationId)` sets applicationId string
`void` | `setCreatedTime(java.sql.Timestamp createdTime)` sets createdTime value
`void` | `setLastUpdatedTime(java.sql.Timestamp lastUpdatedTime)` sets last Updated Timestamp value
`void` | `setMessageId(java.lang.String messageId)` sets Message ID string
`void` | `setOldStatus(int status)` sets old status integer value
`void` | `setRequestMessage(java.lang.String requestMessage)` sets requestMessage string
`void` | `setResponseMessage(java.lang.String responseMessage)` sets responseMessage string
`void` | `setStatus(int status)` sets status integer value

Methods inherited from class com.stc.connector.hl7.framework.persist.dbo.impl.DBObjectImpl
`createNew, getDeleteStmt, getInsertStmt, getQueryStmt, getUpdateStmt, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.persist.dbo.DBObject
`createNew, getDeleteStmt, getInsertStmt, getQueryStmt, getUpdateStmt`

Constructor Detail

### HL7MessageLogDBOImpl

    public HL7MessageLogDBOImpl(int dbType)

  constructor

  Parameters:
    `dbType` - database type

### HL7MessageLogDBOImpl

    public HL7MessageLogDBOImpl(java.lang.String messageId,
                                java.lang.String applicationId)

### HL7MessageLogDBOImpl

    public HL7MessageLogDBOImpl(int dbType,
                                java.lang.String messageId,
                                java.lang.String applicationId)

  constructor

  Parameters:
    `dbType` - database type
    `mcid` - Message Control ID
    `val` - vaule

Method Detail

### getQueryStmtWithStatus

    public java.lang.String getQueryStmtWithStatus()

  Returns Query Statement with status in where clause

  Specified by:
    `getQueryStmtWithStatus` in interface `HL7MessageLogDBO`
  Returns:
    String

### getUpdateStmtWithStatus

    public java.lang.String getUpdateStmtWithStatus()

  Returns Update Statement with status in where clause

  Specified by:
    `getUpdateStmtWithStatus` in interface `HL7MessageLogDBO`
  Returns:
    String

### fillDeleteStmt

    public void fillDeleteStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills delete statement with message ID and Application ID

  Specified by:
    `fillDeleteStmt` in interface `DBObject`
  Overrides:
    `fillDeleteStmt` in class `DBObjectImpl`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillInsertStmt

    public void fillInsertStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills insert statement

  Specified by:
    `fillInsertStmt` in interface `DBObject`
  Specified by:
    `fillInsertStmt` in class `DBObjectImpl`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillUpdateStmt

    public void fillUpdateStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills update statement with message ID and Application ID

  Specified by:
    `fillUpdateStmt` in interface `DBObject`
  Overrides:
    `fillUpdateStmt` in class `DBObjectImpl`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillUpdateStmtWithStatus

    public void fillUpdateStmtWithStatus(java.sql.PreparedStatement stmt)
                                  throws java.sql.SQLException

  fills update statement with status

  Specified by:
    `fillUpdateStmtWithStatus` in interface `HL7MessageLogDBO`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillQueryStmt

    public void fillQueryStmt(java.sql.PreparedStatement stmt)
                       throws java.sql.SQLException

  fills query statement with message ID and Application ID

  Specified by:
    `fillQueryStmt` in interface `DBObject`
  Specified by:
    `fillQueryStmt` in class `DBObjectImpl`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### fillQueryStmtWithStatus

    public void fillQueryStmtWithStatus(java.sql.PreparedStatement stmt)
                                 throws java.sql.SQLException

  fills query statement with status

  Specified by:
    `fillQueryStmtWithStatus` in interface `HL7MessageLogDBO`
  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### populateDBO

    public void populateDBO(java.sql.ResultSet rs)
                     throws java.sql.SQLException

  populate DBO Object

  Specified by:
    `populateDBO` in interface `DBObject`
  Specified by:
    `populateDBO` in class `DBObjectImpl`
  Parameters:
    `rs` - ResultSet
  Throws:
    `java.sql.SQLException` - SQLException

### getNewObject

    public DBObject getNewObject()

  gets HL7MessageLogDBO object

  Specified by:
    `getNewObject` in class `DBObjectImpl`
  Returns:
    HL7MessageLogDBOImpl

### getMessageId

    public java.lang.String getMessageId()

  Description copied from interface: `HL7MessageLogDBO`
  gets Message ID string

  Specified by:
    `getMessageId` in interface `HL7MessageLogDBO`
  Returns:
    Message ID
  See Also:
    `HL7MessageLogDBO.getMessageId().`

### getApplicationId

    public java.lang.String getApplicationId()

  Description copied from interface: `HL7MessageLogDBO`
  gets Application ID string

  Specified by:
    `getApplicationId` in interface `HL7MessageLogDBO`
  Returns:
    Application ID
  See Also:
    `HL7MessageLogDBO.getApplicationId().`

### getRequestMessage

    public java.lang.String getRequestMessage()

  Description copied from interface: `HL7MessageLogDBO`
  gets request Message string

  Specified by:
    `getRequestMessage` in interface `HL7MessageLogDBO`
  Returns:
    request message string
  See Also:
    `HL7MessageLogDBO.getRequestMessage().`

### getResponseMessage

    public java.lang.String getResponseMessage()

  Description copied from interface: `HL7MessageLogDBO`
  gets response Message string

  Specified by:
    `getResponseMessage` in interface `HL7MessageLogDBO`
  Returns:
    response message string
  See Also:
    `HL7MessageLogDBO.getResponseMessage().`

### getStatus

    public int getStatus()

  Description copied from interface: `HL7MessageLogDBO`
  gets status

  Specified by:
    `getStatus` in interface `HL7MessageLogDBO`
  Returns:
    status integer value
  See Also:
    `HL7MessageLogDBO.getStatus().`

### getCreatedTime

    public java.sql.Timestamp getCreatedTime()

  Description copied from interface: `HL7MessageLogDBO`
  gets created timeStamp

  Specified by:
    `getCreatedTime` in interface `HL7MessageLogDBO`
  Returns:
    timeStamp value
  See Also:
    `HL7MessageLogDBO.getCreatedTime().`

### getLastUpdatedTime

    public java.sql.Timestamp getLastUpdatedTime()

  Description copied from interface: `HL7MessageLogDBO`
  gets last updated timeStamp

  Specified by:
    `getLastUpdatedTime` in interface `HL7MessageLogDBO`
  Returns:
    timeStamp value
  See Also:
    `HL7MessageLogDBO.getLastUpdatedTime().`

### setMessageId

    public void setMessageId(java.lang.String messageId)

  Description copied from interface: `HL7MessageLogDBO`
  sets Message ID string

  Specified by:
    `setMessageId` in interface `HL7MessageLogDBO`
  Parameters:
    `messageId` - string value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setMessageId().`

### setApplicationId

    public void setApplicationId(java.lang.String applicationId)

  Description copied from interface: `HL7MessageLogDBO`
  sets applicationId string

  Specified by:
    `setApplicationId` in interface `HL7MessageLogDBO`
  Parameters:
    `applicationId` - string value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setApplicationId().`

### setRequestMessage

    public void setRequestMessage(java.lang.String requestMessage)
                           throws java.sql.SQLException

  Description copied from interface: `HL7MessageLogDBO`
  sets requestMessage string

  Specified by:
    `setRequestMessage` in interface `HL7MessageLogDBO`
  Parameters:
    `requestMessage` - string value
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setRequestMessage().`

### setResponseMessage

    public void setResponseMessage(java.lang.String responseMessage)
                            throws java.sql.SQLException

  Description copied from interface: `HL7MessageLogDBO`
  sets responseMessage string

  Specified by:
    `setResponseMessage` in interface `HL7MessageLogDBO`
  Parameters:
    `responseMessage` - string value
  Throws:
    `java.sql.SQLException` - SQLException
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setResponseMessage().`

### setStatus

    public void setStatus(int status)

  Description copied from interface: `HL7MessageLogDBO`
  sets status integer value

  Specified by:
    `setStatus` in interface `HL7MessageLogDBO`
  Parameters:
    `status` - integer value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setStatus().`

### setCreatedTime

    public void setCreatedTime(java.sql.Timestamp createdTime)

  Description copied from interface: `HL7MessageLogDBO`
  sets createdTime value

  Specified by:
    `setCreatedTime` in interface `HL7MessageLogDBO`
  Parameters:
    `createdTime` - TimeStamp value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setCreatedTime().`

### setLastUpdatedTime

    public void setLastUpdatedTime(java.sql.Timestamp lastUpdatedTime)

  Description copied from interface: `HL7MessageLogDBO`
  sets last Updated Timestamp value

  Specified by:
    `setLastUpdatedTime` in interface `HL7MessageLogDBO`
  Parameters:
    `lastUpdatedTime` - TimeStamp value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setLastUpdatedTime().`

### setOldStatus

    public void setOldStatus(int status)

  Description copied from interface: `HL7MessageLogDBO`
  sets old status integer value

  Specified by:
    `setOldStatus` in interface `HL7MessageLogDBO`
  Parameters:
    `status` - integer value
  See Also:
    `com.stc.connector.hl7.framework.persist.dbo.HL7MessageLogDBO#setOldStatus().`

### getOldStatus

    public int getOldStatus()

  Description copied from interface: `HL7MessageLogDBO`
  gets old status

  Specified by:
    `getOldStatus` in interface `HL7MessageLogDBO`
  Returns:
    status integer value
  See Also:
    `HL7MessageLogDBO.getOldStatus().`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD